Skip to content
v2.273.0

ApiGatewayTargetConfigurationProps Struct ​

Properties for creating an API Gateway target configuration.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_apigateway as apigateway } from 'aws-cdk-lib';
import { aws_bedrockagentcore as bedrockagentcore } from 'aws-cdk-lib';

declare const apiGatewayHttpMethod: bedrockagentcore.ApiGatewayHttpMethod;
declare const restApi: apigateway.RestApi;
const apiGatewayTargetConfigurationProps: bedrockagentcore.ApiGatewayTargetConfigurationProps = {
  apiGatewayToolConfiguration: {
    toolFilters: [{
      filterPath: 'filterPath',
      methods: [apiGatewayHttpMethod],
    }],

    // the properties below are optional
    toolOverrides: [{
      method: apiGatewayHttpMethod,
      name: 'name',
      path: 'path',

      // the properties below are optional
      description: 'description',
    }],
  },
  restApi: restApi,

  // the properties below are optional
  metadataConfiguration: {
    allowedQueryParameters: ['allowedQueryParameters'],
    allowedRequestHeaders: ['allowedRequestHeaders'],
    allowedResponseHeaders: ['allowedResponseHeaders'],
  },
  stage: 'stage',
};

Properties ​

apiGatewayToolConfigurationApiGatewayToolConfigurationapi_gateway_tool_configurationApiGatewayToolConfigurationapiGatewayToolConfigurationApiGatewayToolConfigurationApiGatewayToolConfigurationApiGatewayToolConfigurationApiGatewayToolConfigurationApiGatewayToolConfigurationrequired#
Tool configuration defining which operations to expose.
metadataConfigurationMetadataConfigurationmetadata_configurationMetadataConfigurationmetadataConfigurationMetadataConfigurationMetadataConfigurationMetadataConfigurationMetadataConfigurationMetadataConfiguration= No metadata configuration#
Metadata configuration for passing headers and query parameters Allows you to pass additional context through headers and query parameters.
restApiIRestApirest_apiIRestApirestApiIRestApiRestApiIRestApiRestApiIRestApirequired#
The REST API to integrate with Must be in the same account and region as the gateway.
stagestringstagestrstageStringStagestringStage*string= Uses the deployment stage from t…#
The stage name of the REST API.
default

Default: Uses the deployment stage from the RestApi (restApi.deploymentStage.stageName)

Used as props by ​